@import "../../shared/scss/color.scss";

.article {
  background-color: white;
  padding: 5px;

  .article-detail {
    padding: 5px;
    overflow: auto;
    .creator-name {
      float: right;
      p {
        padding-top: 4px;
        font-size: 12px;
        font-weight: bold;
        color: $black-color;
      }
    }
    .post-type {
      float: left;
      p {
        font-size: 10px;
        font-weight: bold;
        color: $black-color;
        background-color: $background-color;
        padding: 4px 7px;
        box-shadow: 1px 1px 4px #cccccc;
        border-radius: 7px;
      }
    }
  }
  .article-content {
    padding: 5px;
    .img {
      width: 100%;
      height: 200px;
      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        box-shadow: 1px 1px 4px #cccccc;
      }
    }
    .main {
      padding: 10px 0 5px 0;
      .title {
        overflow: auto;
        p {
          display: inline-block;
          float: right;
          font-size: 13px;
          font-weight: bold;
          color: #555555;
          &:last-child {
            font-size: 12px;
            float: left;
            color: #555555;
          }
        }
      }
      .desc {
        margin-top: 5px;
        color: $description-color;
        font-size: 12px;
        line-height: 1.5;
        font-weight: bold;
      }
    }
  }
  .article-btn {
    padding: 5px;
    overflow: auto;
    a {
      float: left;
      text-decoration: none;
      color: $aqua-color;
      font-size: 12px;
      font-weight: bold;
    }
  }
}
